
// global request and XML document objects
var req;

function reset_pending() {
    // Overwrite this function by other one with values what must be reset.
}

function request(url, handler, params) {
    var req = (window.XMLHttpRequest ? new XMLHttpRequest : 
        (window.ActiveXObject ? new ActiveXObject('Microsoft.XMLHTTP') : false)
    );
    if (!req) {
        alert('AJAX XMLHttpRequest failed.');
        reset_pending();
        return false;
    }

    req.open('GET', url);
    req.onreadystatechange = function() {

        if (req.readyState == 4) {
            // done
            if (req.status == 200)
                 handler(req, params); // OK
            else {
                alert('XMLHttpRequest Error: '+req.status+'; '+req.statusText); // Error
                reset_pending();
            }
        }
    }
    req.send(null);
    return true;
}

