
var last_detail_key;

function getDetail(type, id) {
    // click to item link
    key = type+id;
    detail_id = 'd'+key;

    if (!getElement(detail_id).innerHTML.length) {

        getElement(detail_id).innerHTML = '<h4>Loading data...</h4>';
        reqVisible(key);
        
        url = '/vazby/detail/'+type+'/'+id;
        // getElement('debug').innerHTML = '<a href="'+url+'" title="test">'+url+'</a>'; // Testovani
        request(url, updateDetailHandler, detail_id);

    } else {

        if (getStyle(detail_id).visibility == 'hidden') reqVisible(key); else hideDetail(key);
    }
    if (last_detail_key != key) hideDetail(last_detail_key);
    last_detail_key = key;
}

function updateDetailHandler(req, element_name) {
    // handler for ajax calling; invoced by getDetail (click to item link)
    try {
        v = req.responseText;
    } catch (e) {
        alert('Chyba'+': '+e);
        return;
    }
    caption = '<a class="stick" id="a'+element_name+'" href=\'javascript:stickVisible("'+element_name+'")\' title="Po té co kurzor opustí okno se okno automaticky skryje.">[skryje se automaticky]</a>';
    getElement(element_name).innerHTML = caption+v;

    cell_name = 'c'+element_name.substring(1);
    // highlighted selected cell
    getElement(cell_name).className = 'highlighted';
}

function reqVisible(key) { 
    // onmouseover
    element_id = 'd'+key;
    if (getElement(element_id).action) {
//        debug_data('Request visible '+element_id+' ('+getElement(element_id).action+')');
        clearTimeout(getElement(element_id).action);
        getElement(element_id).action = null;
    }
    getStyle(element_id).visibility = 'visible';
}


function reqHide(key) {
    // onmouseout
    element_id = 'd'+key;
    if (getElement(element_id).action) return;
    if (getElement(element_id).stick == 'keep-visible') return;
    getElement(element_id).action = setTimeout('hideDetail("'+key+'")', 1000);
//    debug_data('Request hide '+element_id+' ('+action+')');
}

function hideDetail(key) { 
    // onouseout or click again to item link
    element_id = 'd'+key;
    getStyle(element_id).visibility = 'hidden';
    if (getElement(element_id).action) {
        clearTimeout(getElement(element_id).action);
        getElement(element_id).action = null;
    }
}

// function debug_data(msg) { document.cache.msg.value += msg + "\r\n"; }

function stickVisible(element_id) {
    // stick window visible
    if (getElement(element_id).stick == 'keep-visible') {
        getElement(element_id).stick = '';
        getElement('a'+element_id).innerHTML = '[skryje se automaticky]';
        getElement('a'+element_id).title = 'Po té co kurzor opustí okno se okno automaticky skryje.';
    } else {
        getElement(element_id).stick = 'keep-visible';
        getElement('a'+element_id).innerHTML = '[zůstává viditelné]';
        getElement('a'+element_id).title = 'Okno zůstává viditelné i po té, co kurzor opustí okno.';
    }
}
