# -*- coding: utf-8 -*-

domainState = [
    ['P', 'Doména zaplacena a je v zóně CZ'],
    ['V', 'Výzva k úhradě reg.poplatku'],
    ['F', 'Doména zrušena pro neuhrazení'],
    ['T', 'Zrušeno z technických důvodů'],
    ['N', 'Zrušeno na vlastní žádost'],
    ['C', 'Zrušeno rozhodnutím CZ.NIC'],
    ['S', 'Stornováno registrátorem'],
    ['L', 'Doména v ochranné lhůtě']]

requestTypeList = [
    ['c', 'transfer'],
    ['M', 'nová žádost'],
    ['h', 'souhlas s pravidly'],
    ['k', 'zrušení confirmu'],
    ['O', 'registrace osoby'],
    ['o', 'změna osoby'],
    ['i', 'změna způsobu upozornění pro kontakt'],
    ['g', 'změna PGP klíče'],
    ['p', 'změna hesla'],
    ['S', 'registrace subjektu'],
    ['s', 'změna subjektu'],
    ['j', 'změna způsobu upozornění pro subjekt'],
    ['R', 'registrace domény'],
    ['r', 'update'],
    ['c', 'změna držitele'],
    ['l', 'transfer'],
    ['r', 'administrativní změna domény'],
    ['t', 'technická změna domény'],
    ['u', 'renew'],
    ['X', '???'],
    ['x', 'zrušení domény']]

registrarsList = [
    ['CZNIC-TEST', 'CZNIC-TEST - Testovaci subjekt, s.r.o.'],
    ['REG-ACTIVE24', 'REG-ACTIVE24 - ACTIVE 24  s.r.o.'],
    ['REG-CESKYREGISTRATOR', 'REG-CESKYREGISTRATOR - Český registrátor, z.s.p.o.'],
    ['REG-COL', 'REG-COL - Czech On Line a.s.'],
    ['REG-CT', 'REG-CT - Telefónica O2 Czech Republic, a.s.'],
    ['REG-GENERAL-REGISTRY', 'REG-GENERAL-REGISTRY - GENERAL REGISTRY, s.r.o.'],
    ['REG-GI', 'REG-GI - ACTIVE 24'],
    ['REG-HA-VEL', 'REG-HA-VEL - ha-vel family s.r.o.'],
    ['REG-HAVEL', 'REG-HAVEL - ha-vel internet s.r.o.'],
    ['REG-IGNUM', 'REG-IGNUM - IGNUM, s.r.o.'],
    ['REG-INTERNET-CZ', 'REG-INTERNET-CZ - INTERNET CZ, a.s.'],
    ['REG-INWAY', 'REG-INWAY - InWay, a.s.'],
    ['REG-IPEX', 'REG-IPEX - IPEX a.s.'],
    ['REG-KRAXNET', 'REG-KRAXNET - KRAXNET s.r.o.'],
    ['REG-LRR', 'REG-LRR - CZ.NIC, z.s.p.o.'],
    ['REG-MEDIA4WEB', 'REG-MEDIA4WEB - Media4Web s.r.o'],
    ['REG-MIRAMO', 'REG-MIRAMO - MIRAMO spol.s r.o.'],
    ['REG-NEXTRA', 'REG-NEXTRA - GTS NOVERA a.s.'],
    ['REG-ONE', 'REG-ONE - ONE.CZ s.r.o.'],
    ['REG-PES', 'REG-PES - P.E.S. consulting, s.r.o.'],
    ['REG-SKYNET', 'REG-SKYNET - SkyNet, a.s.'],
    ['REG-WEB4U', 'REG-WEB4U - Web4U s.r.o.'],
    ['REG-ZONER', 'REG-ZONER - ZONER software, s.r.o.']]

requestStatusList = [
    ['0', '0 - zpracováno bez chyby'],
    ['1', '1 - zpracováno s chybou'],
    ['2', '2 - stornováno']]

requestConfirmList = [
    ['c0', 'existuje'],
    ['c1', 'čekající'],
    ['c2', 'potvrzený'],
    ['c3', 'zamítnutý'],
    ['c4', 'expirovaný']]

requestAnswerCodeList = [
    ['1000', '1000 - probehlo bez chyby'],
    ['1001', '1001 - probehlo bez chyby, ceka na konfirm'],
    ['2000', '2000 - neznama operace'],
    ['2001', '2001 - syntax error'],
    ['2002', '2002 - chybne pouziti operace'],
    ['2003', '2003 - chybi parametr'],
    ['2004', '2004 - parametr mimo rozsah'],
    ['2005', '2005 - chybna syntax parametru'],
    ['2101', '2101 - operace neimplementovana'],
    ['2104', '2104 - selhalo placeni'],
    ['2105', '2105 - prodlouzeni platnosti domeny nemozne'],
    ['2106', '2106 - transfer domeny nemozny'],
    ['2200', '2200 - chyba autentikace'],
    ['2201', '2201 - chyba autorizace'],
    ['2302', '2302 - objekt jiz existuje'],
    ['2303', '2303 - objekt neexistuje'],
    ['2304', '2304 - status objektu brani provedeni operace'],
    ['2305', '2305 - vazba na objekt brani provedeni operace'],
    ['2400', '2400 - operace selhala']]

requestCommandList = [
    ['check', 'check'],
    ['create', 'create'],
    ['delete', 'delete'],
    ['info', 'info'],
    ['renew', 'renew'],
    ['transfer', 'transfer'],
    ['update', 'update']]


domainStatusList = [
    ['P', 'Zaplacena'],
    ['V', 'Výzva k úhradě reg.poplatku'],
    ['F', 'Zrušeno pro nezaplacení'],
    ['T', 'Zrušeno z technických důvodů'],
    ['N', 'Zrušeno na vlastní žádost'],
    ['C', 'Zrušeno rozhodnutím CZ.NIC'],
    ['S', 'Stornováno registrátorem'],
    ['L', 'Doména v ochranné lhůtě']]

domainRegistrarList = [
    ['250552', '250552  CZ.NIC, z.s.p.o.'],
    ['258773', '258773  INTERNET CZ, a.s.'],
    ['258774', '258774  MIRAMO spol.s r.o.'],
    ['258790', '258790  Czech On Line a.s.'],
    ['258796', '258796  ACTIVE 24'],
    ['258812', '258812  ha-vel family s.r.o.'],
    ['258820', '258820  ZONER software, s.r.o.'],
    ['258826', '258826  IGNUM, s.r.o.'],
    ['258854', '258854  Web4U s.r.o.'],
    ['258892', '258892  ONE.CZ s.r.o.'],
    ['258893', '258893  GENERAL REGISTRY, s.r.o.'],
    ['260066', '260066  KRAXNET s.r.o.'],
    ['260080', '260080  Telefónica O2 Czech Republic, a.s.'],
    ['260100', '260100  Media4Web s.r.o'],
    ['260105', '260105  GTS NOVERA a.s.'],
    ['264124', '264124  InWay, a.s.'],
    ['269161', '269161  Testovaci subjekt, s.r.o.'],
    ['269212', '269212  SkyNet, a.s.'],
    ['269315', '269315  IPEX a.s.'],
    ['300613', '300613  Český registrátor, z.s.p.o.'],
    ['328500', '328500  ACTIVE 24  s.r.o.'],
    ['378567', '378567  ha-vel internet s.r.o.'],
    ['410760', '410760  P.E.S. consulting, s.r.o.']]

domainInZone = [
    ['A', 'Generuje se do zóny'],
    ['N', 'Není v zóně .CZ']]

notifyType = [
    ['C', 'Potvrzení změn'],
    ['N', 'Oznámení změn']]

domainSubjectType = [
    ['Z', 'Držitel']]

subjectType = [
    ['P', 'Právnická osoba'],
    ['N', 'Neurčeno'],
    ['F', 'Fyzická osoba']]

subjectAuthList = [
    [0, 'All'],
    [1, 'PGP'],
    [3, 'Notář']]

idType = [
    ['O', 'Občanský průkaz']]

techtestTypeList = [
    ['N', 'DSD'],
    ['O', 'O']]

techtestFormatList = [
    ['L', 'LRR'],
    ['R', 'R']]

techtestDataList = [
    ['N', 'No data']]

techtestResultList = [
    ['E', 'E'],
    ['F', 'F'],
    ['O', 'O'],
    ['T', 'T'],
    ['U', 'U']]

pragEfekt = [
    ('+', 'Plus (+)'), 
    ('-', 'Mínus (-)'), 
    ]

pragKodDokladu = [
    ('B01', 'B01'), 
    ('B02', 'B02'), 
    ('BE',  'BE'),  
    ('BO',  'BO'),  
    ('R01', 'R01'), 
    ('R02', 'R02'), 
    ('R03', 'R03'), 
    ('R04', 'R04'), 
    ('R05', 'R05'), 
    ('R06', 'R06'), 
    ('R07', 'R07'), 
    ('R08', 'R08'), 
    ('R09', 'R09'), 
    ('R10', 'R10'), 
    ('R11', 'R11'), 
    ('R12', 'R12'), 
    ('R13', 'R13'), 
    ('R14', 'R14'), 
    ('R15', 'R15'), 
    ('R16', 'R16'), 
    ('R17', 'R17'), 
    ]

pragStrana = [
    ('D', 'D'), 
    ('M', 'M'), 
    ]

pragVazby = [
    ('B', '[B] banky'), 
    ('I', '[I] vnitřní doklady'), 
    ('O', '[O] faktury'), 
    ('V', '[V] vyhledání platby'), 
    ]

