from django.conf.urls.defaults import *
from browser.models import *
import os

#from django.contrib import databrowse
#databrowse.site.register(DsdDomain)
#databrowse.site.register(DsdContact)

#    (r'^databrowse/(.*)', databrowse.site.root),

def curdir(f = ""):
    return os.path.join(os.path.dirname(__file__), f)


urlpatterns = patterns('',

    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': curdir('media/')}),
    
    (r'^$', 'browser.views.index'),
    
    (r'^domain/$', 'browser.views.domain_form'),
    (r'^domain/result/?$', 'browser.views.domain_result'),
    (r'^domain/(?P<domjme>[a-zA-Z0-9-.]+)/?(?P<history>history)?/?$', 'browser.views.domain_list'),
    (r'^domain/(?P<domjme>[a-zA-Z0-9-.]+)/(?P<dsddom>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.domain_detail'),
    
    (r'^subject/$', 'browser.views.subject_form'),
    (r'^subject/result/?$', 'browser.views.subject_result'),
    (r'^subject/(?P<pforid>[a-zA-Z0-9-_.]+)/?(?P<history>history)?/?$', 'browser.views.subject_detail'),
    
    (r'^contact/$', 'browser.views.contact_form'),
    (r'^contact/(?P<konrid>[a-zA-Z0-9-_.]+)/?(?P<history>history)?/?$', 'browser.views.contact_detail'),
    
    (r'^request/$', 'browser.views.request_form'),
    (r'^request/result/?$', 'browser.views.request_result'),
    (r'^request/(?P<dsdreq>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.request_detail'),
    
    (r'^rsd_request/$', 'browser.views.request_form', {'reqtype': 'rsd'}),
    (r'^rsd_request/result/?$', 'browser.views.request_result', {'reqtype': 'rsd'}),
    (r'^rsd_request/(?P<dsdreq>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.request_detail', {'reqtype': 'rsd'}),
    
    (r'^lrr_request/$', 'browser.views.request_form', {'reqtype': 'lrr'}),
    (r'^lrr_request/result/?$', 'browser.views.request_result', {'reqtype': 'lrr'}),
    (r'^lrr_request/(?P<dsdreq>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.request_detail', {'reqtype': 'lrr'}),
    
    (r'^out/(?P<outsrc>[a-z_]+)/(?P<outkey>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.out_list'),
    (r'^out/(?P<dsdout>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.out_detail'),
    
    (r'^lrr_out/(?P<outsrc>[a-z_]+)/(?P<outkey>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.lrr_out_list'),
    (r'^lrr_out/(?P<dsdout>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.lrr_out_detail'),
    
    (r'^techtest/$', 'browser.views.techtest_form'),
    (r'^techtest/result/?$', 'browser.views.techtest_result'),
    (r'^techtest/(?P<dsdtet>[0-9]+)/?(?P<history>history)?/?$', 'browser.views.techtest_detail'),
    
    (r'^qit/(?P<dsdqit>[0-9]+)/?$', 'browser.views.qit_detail'),

    (r'^banky/$', 'browser.views.banky_form'),
    (r'^banky/result/?$', 'browser.views.banky_result'),
    (r'^platby/$', 'browser.views.platby_form'),
    (r'^platby/result/?$', 'browser.views.platby_result'),

    (r'^faktury/$', 'browser.views.faktury_form'),
    (r'^faktury/result/?$', 'browser.views.faktury_result'),
    (r'^vnitrni_doklady/$', 'browser.views.vnitrni_doklady_form'),
    (r'^vnitrni_doklady/result/?$', 'browser.views.vnitrni_doklady_result'),
    
    (r'^vazby/$', 'browser.views.vazby_form'),
    (r'^vazby/result/?$', 'browser.views.vazby_result'),
    (r'^vazby/detail/(?P<typ>[BIOV])/(?P<id>[-0-9]+)/?$', 'browser.views.vazby_detail_result'),

    
    # Uncomment this for admin:
    (r'^admin/', include('django.contrib.admin.urls')),
)
